Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::ZTXTParser Class Reference

`#include <ZTXTParser.h>`

Inheritance diagram for libebook::ZTXTParser:

## Public Member Functions
| ZTXTParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=0)
virtual void | readAppInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readSortInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readIndexRecord (librevenge::RVNGInputStream *record)
virtual void | readDataRecord (librevenge::RVNGInputStream *record, bool=true)
virtual void | readDataRecords ()
Public Member Functions inherited from libebook::PDXParser
virtual | ~PDXParser ()=0
bool | parse ()
| Parse input and produce output to document. More...

## Static Public Member Functions
static bool | checkType (unsigned type, unsigned creator)

## Private Member Functions
void | openDocument ()
void | closeDocument ()
void | handleText (const librevenge::RVNGString &text)

## Private Attributes
unsigned | m_recordCount
unsigned | m_size
unsigned | m_recordSize

## Additional Inherited Members
Protected Member Functions inherited from libebook::PDXParser
| PDXParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document, unsigned type, unsigned creator)
| Instantiate a parser for a document in Palm Database Format. More...
librevenge::RVNGTextInterface * | getDocument () const
| Get the document generator used for this parsing run. More...
const char * | getName () const
librevenge::RVNGInputStream * | getAppInfoRecord () const
| Return a stream for the format's appInfo record, if it is present. More...
librevenge::RVNGInputStream * | getIndexRecord () const
| Return a stream for the format's index record. More...
unsigned | getDataRecordCount () const
| Return the number of data records in the document. More...
librevenge::RVNGInputStream * | getDataRecord (unsigned n) const
| Return a stream for the n-th data record. More...
librevenge::RVNGInputStream * | getDataRecords () const
| Return a stream for all data records. More...
librevenge::RVNGInputStream * | getDataRecords (unsigned first, unsigned last) const
| Return a stream for data records in a given range. More...

## Constructor & Destructor Documentation

## § ZTXTParser()

libebook::ZTXTParser::ZTXTParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = `0`
| ) |  |
| explicit

## Member Function Documentation

## § checkType()

bool libebook::ZTXTParser::checkType | ( | unsigned | type,
|  | unsigned | creator
| ) |  |
| static

## § closeDocument()

void libebook::ZTXTParser::closeDocument | ( |  | ) |
| private

Referenced by readDataRecords().

## § handleText()

void libebook::ZTXTParser::handleText | ( | const librevenge::RVNGString & | text | ) |
| private

Referenced by readDataRecord().

## § openDocument()

void libebook::ZTXTParser::openDocument | ( |  | ) |
| private

Referenced by readDataRecords().

## § readAppInfoRecord()

void libebook::ZTXTParser::readAppInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| virtual

Implements libebook::PDXParser.

## § readDataRecord()

void libebook::ZTXTParser::readDataRecord | ( | librevenge::RVNGInputStream * | record,
|  | bool | = `true`
| ) |  |
| virtual

Implements libebook::PDXParser.

Referenced by readDataRecords().

## § readDataRecords()

void libebook::ZTXTParser::readDataRecords | ( |  | ) |
| virtual

Reimplemented from libebook::PDXParser.

## § readIndexRecord()

void libebook::ZTXTParser::readIndexRecord | ( | librevenge::RVNGInputStream * | record | ) |
| virtual

Implements libebook::PDXParser.

## § readSortInfoRecord()

void libebook::ZTXTParser::readSortInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| virtual

Implements libebook::PDXParser.

## Member Data Documentation

## § m_recordCount

unsigned libebook::ZTXTParser::m_recordCount
| private

Referenced by readDataRecords(), and readIndexRecord().

## § m_recordSize

unsigned libebook::ZTXTParser::m_recordSize
| private

Referenced by readIndexRecord().

## § m_size

unsigned libebook::ZTXTParser::m_size
| private

Referenced by readIndexRecord().

The documentation for this class was generated from the following files:

- ZTXTParser.h
- ZTXTParser.cpp